import { EventEmitter } from '@angular/core';
import { AnimationEvent } from '@angular/animations';
export declare class BbDialogOverlay {
    animations: boolean;
    closeRequested: EventEmitter<void>;
    private _state;
    private _closed$;
    readonly state: "none" | "open" | "close";
    onOverlayClicked(): void;
    onKeyEvent(event: KeyboardEvent): void;
    onAnimationDone(event: AnimationEvent): void;
    close(): Promise<void>;
}
